Results 1 to 3 of 3
  1.    #1  
    I had a few patches installed on my Sprint Palm Pre (4x4 icons, call log, date, etc) before getting 1.4. I ran EPR to wipe the patches before installing the upgrade as I read to do.

    Now I can't reinstall any patches. Using WebOS Quick Install, when I click [tools/tweaks], it says my WebOS has recently updated and asks me to transition patches. Next I get this:

    "org.webosinternals.patches.top-bar-battery-percent-and-icon is requesting to run a prerm script"

    After clicking "yes" I get this error message:

    ERROR: An error has occured while attempting to run /tmp/ipkgScript.sh

    patching file usr/lib/luna/system/luna-systemui/app/controllers/bar-assistant.jsjsjs
    Unreversed patch detected! Ignore -R [n]
    Apply anyway? [n]
    Skipping patch.
    5 out of 5 hunks ignored -- see webos-patches.log for more details

    This brings me back to the tweak window where it immediately asks me to transition patches again. In device management, the same rogue patch shows up under patches. I click it and hit uninstall. This gets me the same error message and causes a Luna restart.

    Other than not being able to install patches, my phone is working fine. I don't really want to run WebOS Doctor if I don't have to. Anyone else have a similar problem?

    Jeremy
    Last edited by jlevymusic; 03/09/2010 at 09:45 PM.
  2. #2  
    run EPR (emergency patch removal/recovery). It fixed this exact issue for me.
  3.    #3  
    I've tried that. It won't let me from the tweak menu, because it gets hung up trying to transition patches.

    I've also tried installing it from the WebOS Internals feed, but it gives me an error message saying no patches found.

Tags for this Thread

Posting Permissions